## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate fiat-crypto

Name:           rust-fiat-crypto
Version:        0.2.6
Release:        %autorelease
Summary:        Correct-by-Construction Code for Cryptographic Primitives

License:        MIT OR Apache-2.0 OR BSD-1-Clause
URL:            https://crates.io/crates/fiat-crypto
Source:         %{crate}-%{version}-clean.crate
# script to create tarball with only permissible content:
# run "rust2rpm" and then "./gen_clean_tarball.sh" for new versions
Source:         gen_clean_tarball.sh
Source:         0001-remove-references-to-code-related-to-the-p434-curve.patch
# Manually created patch for downstream crate metadata changes
# * change crate description to something more meaningful
Patch:          fiat-crypto-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Correct-by-Construction Code for Cryptographic Primitives.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-1
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/CONTRIBUTORS
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Feb 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Update to version 0.2.6; Fixes RHBZ#2236364

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.20-1
- Initial import (#2213270)
## END: Generated by rpmautospec
